/*
 * Created on 26 sept. 2005
 *
 */
package net.sf.emis.ide.editors;

import org.eclipse.pde.internal.ui.editor.PDEFormPage;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.forms.IManagedForm;
import org.eclipse.ui.forms.editor.FormEditor;
import org.eclipse.ui.forms.widgets.ScrolledForm;

public class AliasSetPage extends PDEFormPage {

    public static final String PAGE_ID = "Definition";
    
    public AliasSetPage(FormEditor editor) {
        super(editor, PAGE_ID, "Definition");  //$NON-NLS-1$
        //block = new ExtensionsBlock();
    }
    
    protected void createFormContent(IManagedForm managedForm) {
        super.createFormContent(managedForm);
        ScrolledForm form = managedForm.getForm();
        form.setText("UYIURYER"); //$NON-NLS-1$
        Composite body = form.getBody();
        GridLayout layout = new GridLayout();
        layout.numColumns = 2;
        layout.marginWidth = 10;
        layout.verticalSpacing = 20;
        layout.horizontalSpacing = 10;
        layout.makeColumnsEqualWidth = true;
        body.setLayout(layout);        
        
        managedForm.addPart(new AliasesSection(this, body, new String[]{"ADD","DEL"}));
    }

}
